WB32L003 Standard Peripherals Firmware Library

Modules | Macros | Functions
WWDG
WB32L003_StdPeriph_Driver

WWDG driver modules. More...

## Modules
| WWDG_Exported_Constants
| WWDG_Private_Functions

## Macros
#define | IS_WWDG_PRESCALER_VALUE(VALUE) ((VALUE) <= WWDG_PRESCALER_MAX)
#define | IS_WWDG_WINDOW_VALUE(VALUE)
#define | IS_WWDG_RELOAD_VALUE(VALUE)

## Functions
void | WWDG_DeInit (void)
| Deinitializes the WWDG peripheral registers to their default reset values. More...
void | WWDG_SetPrescaler (uint32_t WWDG_Prescaler)
| Sets the WWDG Prescaler. More...
void | WWDG_SetWindowValue (uint8_t WindowValue)
| Sets the WWDG window value. More...
void | WWDG_IT_Cmd (FunctionalState NewState)
| Enables or disable the WWDG's interrupt. More...
void | WWDG_SetCounter (uint8_t Counter)
| Sets the WWDG counter value. More...
void | WWDG_Cmd (FunctionalState NewState)
| Enables or disables the WWDG peripheral. More...
FlagStatus | WWDG_GetFlagStatus (void)
| Checks whether the Early Wakeup interrupt flag is set or not. More...
void | WWDG_ClearFlag (void)
| Clears Early Wakeup interrupt flag. More...

## Detailed Description

WWDG driver modules.

## Macro Definition Documentation

## ◆ IS_WWDG_RELOAD_VALUE

#define IS_WWDG_RELOAD_VALUE | ( |  | VALUE | ) |

Value:
(((VALUE) >= WWDG_RELOAD_MIN) && \
((VALUE) <= WWDG_RELOAD_MAX))

## ◆ IS_WWDG_WINDOW_VALUE

#define IS_WWDG_WINDOW_VALUE | ( |  | VALUE | ) |

Value:
(((VALUE) >= WWDG_WINDOW_MIN) && \
((VALUE) <= WWDG_WINDOW_MAX))

## Function Documentation

## ◆ WWDG_ClearFlag()

void WWDG_ClearFlag | ( | void |  | ) |

Clears Early Wakeup interrupt flag.

Parameters

  None |

Return values

  None |

## ◆ WWDG_Cmd()

void WWDG_Cmd | ( | FunctionalState | NewState | ) |

Enables or disables the WWDG peripheral.

Parameters

  NewState | The new state of the WWDG peripheral. This parameter can be: ENABLE or DISABLE.

Return values

  None |

## ◆ WWDG_DeInit()

void WWDG_DeInit | ( | void |  | ) |

Deinitializes the WWDG peripheral registers to their default reset values.

Parameters

  None |

Return values

  None |

## ◆ WWDG_GetFlagStatus()

FlagStatus WWDG_GetFlagStatus | ( | void |  | ) |

Checks whether the Early Wakeup interrupt flag is set or not.

Parameters

  None |

Return values

  The | new state of the Early Wakeup interrupt flag (SET or RESET)

## ◆ WWDG_IT_Cmd()

void WWDG_IT_Cmd | ( | FunctionalState | NewState | ) |

Enables or disable the WWDG's interrupt.

Parameters

  NewState | The new state of the WWDG's interrupt. This parameter can be: ENABLE or DISABLE.

Return values

  None |

## ◆ WWDG_SetCounter()

void WWDG_SetCounter | ( | uint8_t | Counter | ) |

Sets the WWDG counter value.

Parameters

  Counter | specifies the watchdog counter value. This parameter must be a number between 0x40 and 0x7F.

Return values

  None |

## ◆ WWDG_SetPrescaler()

void WWDG_SetPrescaler | ( | uint32_t | WWDG_Prescaler | ) |

Sets the WWDG Prescaler.

Parameters

  WWDG_Prescaler | specifies the WWDG Prescaler.

Return values

  None |

## ◆ WWDG_SetWindowValue()

void WWDG_SetWindowValue | ( | uint8_t | WindowValue | ) |

Sets the WWDG window value.

Parameters

  WindowValue | specifies the window value to be compared to the downcounter. This parameter value must be lower than 0x80.

Return values

  None |